package at.ac.uibk.gitsearch.web.rest.utils;

import java.nio.charset.Charset;
import java.nio.charset.StandardCharsets;
import javax.servlet.http.HttpServletRequest;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.util.AntPathMatcher;

public final class RestUtils {

    private static final Logger log = LoggerFactory.getLogger(RestUtils.class);

    private static final Charset UTF_8_CHARSET = StandardCharsets.UTF_8;

    private RestUtils() {}

    public static String decodeURL(HttpServletRequest request, String pattern) {
        String resultString = new AntPathMatcher().extractPathWithinPattern(pattern, request.getRequestURI());

        // special handling for URL-encoded ids!
        // better: always encode the string correctly, then the following should be the default
        if (resultString.contains("%5B")) { // check for encode "["
            log.debug("we need to decode resultString : {}", resultString);
            resultString = java.net.URLDecoder.decode(resultString, UTF_8_CHARSET);
        }
        return resultString;
    }
}
