import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { ReviewManagementService } from 'app/admin/review-management/review-management.service';
import { Review } from 'app/admin/review-management/review.model';
import { ReviewRating } from 'app/admin/review-management/reviewRating.model';
import { UserManagementService } from 'app/admin/user-management/service/user-management.service';
import { SearchService } from 'app/search/service/search-service';

@Component({
  selector: 'jhi-review-ratings',
  templateUrl: './review-ratings.component.html',
})
export class ReviewRatingsComponent implements OnInit {
  reviewRatings: ReviewRating[] = [];
  commentToShow: string | undefined;

  constructor(
    private userService: UserManagementService,
    private searchService: SearchService,
    private reviewManagementService: ReviewManagementService,
    private route: ActivatedRoute
  ) {}

  ngOnInit(): void {
    this.route.params.subscribe(() => {
      this.loadAll();
    });
  }

  loadAll(): void {
    this.reviewManagementService.getAllReviewRatings().subscribe(reviewRatings => {
      this.reviewRatings = reviewRatings;
    });
  }

  deleteReviewRating(review: Review) {
    this.reviewManagementService.delete(review.id!).subscribe(() => this.loadAll());
  }
}
