import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import { IUserWatchList } from '../user-watch-list.model';
import { UserWatchListService } from '../service/user-watch-list.service';

@Component({
  templateUrl: './user-watch-list-delete-dialog.component.html',
})
export class UserWatchListDeleteDialogComponent {
  userWatchList?: IUserWatchList;

  constructor(protected userWatchListService: UserWatchListService, protected activeModal: NgbActiveModal) {}

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.userWatchListService.delete(id).subscribe(() => {
      this.activeModal.close('deleted');
    });
  }
}
